unit Instrumentu;

interface
uses Classes, ULRecTyp, ULObju, ULObjUsru, ULIType, ULIObju;

type
  TInstrument = class(TULObjUsr)
  protected
    function GetRecID: TULRecID; override;
    function GetULI: TULIOBj;
    function ChildCreate(AChildObj: TULObj): TULObjUsr; override;
  public
    property ULI: TULIObj read GetULI;
  end;

implementation

function TInstrument.GetULI: TULIOBj;
begin
  Result := TULIObj(Obj);
end;

function TInstrument.ChildCreate(AChildObj: TULObj): TULObjUsr;
begin
  Result := nil;
end;

function TInstrument.GetRecID: TULRecID;
begin
  Result := ULIID;
end;

{v0.24}
initialization
  RegisterClasses([TInstrument]);
{/v0.24}
end.
